:root {
  --yukseklik: 90hv;
}

body {
  margin-top: 108px;
}

.container {
  max-width: 1190px;
}

.navbar {
  font-family: 'Roboto', sans-serif;
  /* Roboto yazı tipi */
  font-size: large;
  /* Küçük punto */
  font-weight: 500;
  color: #000000 !important;
}

.navbar-nav .nav-link {
  padding: 10px !important;
}

.navbar-nav .nav-link:hover {
  color: blue;
  /* Mavi renk */
}

.navbar-nav .nav-link.active {
  font-weight: 700;
}

.carousel-inner {
  height: 80vh;
}

.carousel-item,
.carousel-item img {
  height: 80vh;
  width: 100%
}

.carousel-caption {
  background: linear-gradient(90deg, #0000, #0006 20%, #0006 80%, #0000);
}


.text-shadow-full {
  text-shadow: 2px 0 #000, -2px 0 #000, 0 2px #000, 0 -2px #000, 1px 1px #000, -1px -1px #000, 1px -1px #000, -1px 1px #000;
}

.carousel-item {
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
}

.feature-icon {
  width: 4rem;
  height: 4rem;
  border-radius: .75rem;
}

.icon-square {
  width: 3rem;
  height: 3rem;
  border-radius: .75rem;
}

.text-shadow-1 {
  text-shadow: 0 .125rem .25rem rgba(0, 0, 0, .25);
}

.text-shadow-2 {
  text-shadow: 0 .25rem .5rem rgba(0, 0, 0, .25);
}

.text-shadow-3 {
  text-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .25);
}

.card-cover {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.feature-icon-small {
  width: 3rem;
  height: 3rem;
}

.bi {
  vertical-align: -.125em;
  fill: currentColor;
}
/*
.card .icon {
  font-size: 4rem;
  color: var(--bs-primary);
}

.card-text {
  color: gray;
}

.card {
  transition: all 0.5s;
}

.card:hover {
  background-color: var(--bs-primary);
  color: #fff;
}

.card:hover .icon,
.card:hover .card-text {
  color: #fff;
}
*/
#notfound {
  position: relative;
  height: 72vh;
}

#notfound .notfound {
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.notfound {
  max-width: 460px;
  width: 100%;
  text-align: center;
  line-height: 1.4;
}

.notfound .notfound-404 {
  position: relative;
  width: 180px;
  height: 180px;
  margin: 0px auto 50px;
}

.notfound .notfound-404>div:first-child {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: #ffa200;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  border: 5px dashed #000;
  border-radius: 5px;
}

.notfound .notfound-404>div:first-child:before {
  content: '';
  position: absolute;
  left: -5px;
  right: -5px;
  bottom: -5px;
  top: -5px;
  -webkit-box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.1) inset;
  box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.1) inset;
  border-radius: 5px;
}

.notfound .notfound-404 h1 {
  font-family: 'Cabin', sans-serif;
  color: #000;
  font-weight: 700;
  margin: 0;
  font-size: 90px;
  position: absolute;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  left: 50%;
  text-align: center;
  height: 40px;
  line-height: 40px;
}

.notfound h2 {
  font-family: 'Cabin', sans-serif;
  font-size: 33px;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 7px;
}

.notfound p {
  font-family: 'Cabin', sans-serif;
  font-size: 16px;
  color: #000;
  font-weight: 400;
}

.headdiv {
  height: 60vh;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}
.headdiv55 {
  height: 55vh;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}
.headdiv50 {
  height: 50vh;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}
.headdiv45 {
  height: 45vh;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}
.headdiv40 {
  height: 40vh;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.zoomimage {
  -webkit-transform: scale(0.9);
  -ms-transform: scale(0.9);
  transform: scale(0.9);
  transition:
    transform 0.5s
}

.zoomimage:hover {
  -webkit-transform: scale(1.1);
  -ms-transform: scale(1.1);
  transform: scale(1.1);
}

.zoomimage2 {
  -webkit-transform: scale(0.95);
  -ms-transform: scale(0.95);
  transform: scale(0.95);
  transition:
    transform 0.5s
}

.zoomimage2:hover {
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
}

.zoomdiv {
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  transition:
    transform 0.5s
}

.zoomdiv:hover {
  -webkit-transform: scale(1.03);
  -ms-transform: scale(1.03);
  transform: scale(1.03);
}


.showhover {
  text-decoration: none;
  color: white;
  opacity: 0;
  transition:
    opacity 0.5s
}

.showhover:hover {
  opacity: 1;
}

.et_pb_text_inner {
  line-height: 0;
}






.fab-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  user-select: none;
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 10000;
}

.fab-container:hover {
  height: 100%;
}

.fab-container:hover .sub-button:nth-child(2) {
  transform: translateY(-80px);
}

.fab-container:hover .sub-button:nth-child(3) {
  transform: translateY(-140px);
}

.fab-container:hover .sub-button:nth-child(4) {
  transform: translateY(-200px);
}

.fab-container:hover .sub-button:nth-child(5) {
  transform: translateY(-260px);
}

.fab-container:hover .sub-button:nth-child(6) {
  transform: translateY(-320px);
}

.fab-container .fab {
  position: relative;
  height: 70px;
  width: 70px;
  background-color: #4ba2ff;
  border-radius: 50%;
  z-index: 2;
}

.fab-container .fab::before {
  content: " ";
  position: absolute;
  bottom: 0;
  right: 0;
  height: 35px;
  width: 35px;
  background-color: inherit;
  border-radius: 0 0 10px 0;
  z-index: -1;
}


.fab-container .fab .fab-content {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  border-radius: 50%;
}

.fab-container .fab .fab-content .material-icons {
  color: white;
  font-size: 48px;
}

.fab-container .sub-button {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  bottom: 10px;
  right: 10px;
  height: 50px;
  width: 50px;
  background-color: #4ba2ff;
  border-radius: 50%;
  transition: all 0.3s ease;
}

.fab-container .sub-button:nth-child(2) {
  background-color: #25D366;
}

.fab-container .sub-button:nth-child(3) {
  background-color: #00244b;
}

.fab-container .sub-button:hover {
  cursor: pointer;
}

.fab-container .sub-button .material-icons {
  color: white;
  padding-top: 6px;
}

.fab-container #phone {
  position: absolute;
  opacity: 1;
}

.fab-container:hover #phone {
  position: absolute;
  opacity: 0;
}

.fab-container #close {
  opacity: 0;
  position: absolute;
}

.fab-container:hover #close {
  opacity: 1;
  position: absolute;
}

/*----------------------------*/

.fab-container2 {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  user-select: none;
  position: fixed;
  bottom: 30px;
  left: 30px;
  z-index: 10000;
}

.fab-container2:hover {
  height: 100%;
}

.fab-container2:hover .sub-button:nth-child(2) {
  transform: translateY(-80px);
  opacity: 1;
}

.fab-container2:hover .sub-button:nth-child(3) {
  transform: translateY(-140px);
  opacity: 1;
}

.fab-container2:hover .sub-button:nth-child(4) {
  transform: translateY(-200px);
  opacity: 1;
}

.fab-container2:hover .sub-button:nth-child(5) {
  transform: translateY(-260px);
  opacity: 1;
}

.fab-container2:hover .sub-button:nth-child(6) {
  transform: translateY(-320px);
  opacity: 1;
}

.fab-container2 .fab {
  position: relative;
  height: 70px;
  width: 70px;
  background-color: #4ba2ff;
  border-radius: 50%;
  z-index: 2;
}

.fab-container2 .fab::before {
  content: " ";
  position: absolute;
  bottom: 0;
  left: 0;
  height: 35px;
  width: 35px;
  background-color: inherit;
  border-radius: 0 0 0 10px;
  z-index: -1;
}


.fab-container2 .fab .fab-content {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  border-radius: 50%;
}

.fab-container2 .fab .fab-content .material-icons {
  color: white;
  font-size: 48px;
}

.fab-container2 .sub-button {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  bottom: 10px;
  left: 10px;
  height: 50px;
  width: max-content;
  background-color: #4ba2ff;
  opacity: 0;
  border-radius: 5px;
  transition: all 0.3s ease;
  padding: 5px;
}

.fab-container2 .sub-button:nth-child(2) {
  background-color: #ffffff;
}

.fab-container2 .sub-button:nth-child(3) {
  background-color: #ffffff;
}

.fab-container2 .sub-button:nth-child(4) {
  background-color: #ffffff;
}
.fab-container2 .sub-button:hover {
  cursor: pointer;
}

.fab-container2 .sub-button .material-icons {
  color: white;
  padding-top: 6px;
}

.fab-container2 #phone {
  position: absolute;
  opacity: 1;
}

.fab-container2:hover #phone {
  position: absolute;
  opacity: 0;
}

.fab-container2 #close {
  opacity: 0;
  position: absolute;
}

.fab-container2:hover #close {
  opacity: 1;
  position: absolute;
}



.fullwidth {
  position: relative;
  height: 650px;
  width: 100%;
  background-color: rgba(20, 37, 75, 1);

}

.fullwidth-video {
  position: absolute;
  bottom: -5px;
  right: 0px;
  min-height: 100%;
  min-width: 50%;
  z-index: 1;
}

.fullwidth-details {
  position: absolute;
  background: linear-gradient(90deg, rgba(20, 37, 75, 1) 0%, rgba(20, 37, 75, 1) 90%, rgba(20, 37, 75, 0) 100%);
  bottom: 0px;
  left: 0px;
  z-index: 2;
  min-height: 100%;
  min-width: 50%;

}

.fullwidth-details-baslik {
  color: white;
  padding-left: 5%;
  padding-right: 30%;
}

.fullwidth-details-proje-no {
  color: white;
  padding-left: 5%;
  padding-right: 30%;
}

.fullwidth-details-universite {
  color: white;
  padding-left: 5%;
  padding-right: 30%;
}

.fullwidth-details-aciklama {
  color: white;
  padding-left: 5%;
  padding-right: 30%;
}

.fullwidth-logo {
  width: 50px;

}

/* This is a single-line comment */

@media only screen and (max-width: 1199px) {
  .fullwidth {
    position: relative;
    height: 55vh;
    width: 100%;
    background-color: rgba(20, 37, 75, 1);
  }

  .fullwidth-video {
    position: absolute;
    bottom: 0px;
    right: 0px;
    min-height: 100%;
    min-width: 50%;
    z-index: 1;
  }

  .fullwidth-details {
    position: absolute;
    background: linear-gradient(0deg, rgba(20, 37, 75, 1) 0%, rgba(20, 37, 75, 1) 90%, rgba(20, 37, 75, 0) 100%);
    bottom: 0px;
    left: 0px;
    z-index: 2;
    min-height: 65%;
    min-width: 100%;
  }

  .fullwidth-details-baslik {
    color: white;
    padding-left: 5%;
    padding-right: 5%;
  }

  .fullwidth-details-proje-no {
    color: white;
    padding-left: 5%;
    padding-right: 5%;
  }

  .fullwidth-details-universite {
    color: white;
    padding-left: 5%;
    padding-right: 5%;
  }

  .fullwidth-details-aciklama {
    color: white;
    padding-left: 5%;
    padding-right: 5%;
  }

  .fullwidth-logo {
    width: 50px;

  }
}

.no-videos {
  text-align: center;
  color: #555;
  margin-top: 26vh;
  margin-bottom: 26vh;
}
.no-videos i {
  font-size: 50px;
  color: #ff6b6b;
}


@keyframes colorChange {
  0% {
    color: black;
  }
  33% {
    color: red;
  }
  66% {
    color: blue;
  }
  100% {
    color: black;
  }
}

.color-change {
  animation: colorChange 2s infinite;
}

@keyframes kalpKalp {
  0% {
    scale: 1;
  }
  25% {
    scale: 1.5;
  }
  50% {
    scale: 1;
  }
  75% {
    scale: 1.5;
  }
  100% {
    scale: 1;
  }
}

.kalp-atisi {
  animation: kalpKalp 2s infinite;
}


.reels-wrapper {
  text-align: center;
  margin-bottom: 20px; /* İsteğe bağlı: videolar arası boşluk */
}

.reels-title {
  font-size: 1.2rem;
  font-weight: bold;
  color: #333; /* Başlık rengi */
  margin-bottom: 10px; /* Görüntü ile başlık arası boşluk */
  white-space: nowrap; /* Metnin tek satırda kalmasını sağlar */
  overflow: hidden; /* Taşan kısmı gizler */
  text-overflow: ellipsis; /* Gizlenen kısmı üç nokta (… ile) gösterir */
}

.reels-card {
  position: relative;
  width: 100%;
  padding-top: 100%; /* Kare oranı */
  cursor: pointer;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  background-color: #f9f9f9;
}

.reels-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.reels-card:hover .reels-image {
  transform: scale(1.05);
}

.reels-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: opacity 0.3s ease;
  size:12pt;
  text-shadow: #000000;
}

.reels-card:hover .reels-overlay {
  opacity: 1;
}
